Skip to main content

Get an owner by ID

GEThttps://api.propexo.com/v1/owners/:owner_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

owner_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the owner

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    address_1string | nullnullablerequired

    The first address line associated with the owner

    address_2string | nullnullablerequired

    The second address line associated with the owner

    citystring | nullnullablerequired

    The city associated with the owner

    countrystring | nullnullablerequired

    The country associated with the owner

    statestring | nullnullablerequired

    The state associated with the owner

    zipstring | nullnullablerequired

    The zip code associated with the owner

    first_namestring | nullnullablerequired

    The first name associated with the owner

    middle_namestring | nullnullablerequired

    The middle name associated with the owner

    last_namestring | nullnullablerequired

    The last name associated with the owner

    company_namestring | nullnullablerequired

    The name of the company associated with the owner

    notesstring | nullnullablerequired

    Notes associated with the owner

    email_1string | nullnullablerequired

    The primary email address associated with the owner

    email_2string | nullnullablerequired

    The secondary email address associated with the owner

    phone_1string | nullnullablerequired

    Primary phone number associated with the owner

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the owner

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    associated_property_idsstring[]required
    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/owners/:owner_id
curl https://api.propexo.com/v1/owners/:owner_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"country": "string",
"state": "string",
"zip": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"company_name": "string",
"notes": "string",
"email_1": "string",
"email_2": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"associated_property_ids": [
"string"
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
}